from matplotlib.pyplot import plot, show, grid, axhline, axvline
from numpy import linspace

x = linspace(-10, 10, 100)
y = x**2

plot(x,y)
grid()

# partie de la courbe telle que x*x < 49

x = linspace(-7, 7, 100)
y = x**2

plot(x,y,color='red')

# fin de la représentation de la partie de la courbe

axhline(y=0, color='black', linestyle='-')
axvline(x=0, color='black', linestyle='-')

show()
